package test;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class DatabaseConnectionTest {

	public void loadDriver() throws ClassNotFoundException {

		String driver = "oracle.jdbc.driver.OracleDriver";

		Class.forName(driver);

	}

	public Connection createConnection(String url, String user, String pass) throws SQLException {

		return DriverManager.getConnection(url, user, pass);

	}

	public static void main(String[] args) {

		String cp = null;
		String user = null;
		String pass = null;
		String url = null;

		if (args.length == 0 || args.length < 6) {

			System.out.println("Usage test.DatabaseConnectionTest -user <user> -pass <password> -url <url>");

		} else {

			for (int i = 0; i < args.length; i++) {

				if (args[i].equals("-user") && (i + 1) <= (args.length - 1)) {
					user = args[i + 1];
				} else if (args[i].equals("-pass") && (i + 1) <= (args.length - 1)) {
					pass = args[i + 1];
				}
				if (args[i].equals("-url") && (i + 1) <= (args.length - 1)) {
					url = args[i + 1];
				}

			}

			if (user == null || pass == null || url == null) {

				System.out.println("Usage test.DatabaseConnectionTest -user <user> -pass <password> -url <url>");

			} else {

				DatabaseConnectionTest dct = new DatabaseConnectionTest();

				Connection con = null;

				try {

					dct.loadDriver();

					dct.createConnection(url, user, pass);

					System.out.println("Connection created");

				} catch (ClassNotFoundException e) {
					System.out.println("Connection Driver failed to load");
					e.printStackTrace();
				} catch (SQLException e) {
					System.out.println("Connection Failed");
					e.printStackTrace();
				} finally {

					if (con != null) {

						System.out.println("Closing connection");

						try {
							con.close();
						} catch (SQLException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}

					}

				}

			}

		}

	}

}
